Public Member Functions | Public Attributes | Private Member Functions | List of all members
libebook::FB2ContentMap Class Reference

`#include <FB2ContentMap.h>`

## Public Member Functions
| FB2ContentMap ()
| ~FB2ContentMap ()
bool | insert (const std::string &id, const FB2Content *content)
bool | exists (const std::string &id) const
const FB2Content * | get (const std::string &id) const

## Public Attributes
ContentMapImpl *const | m_impl

## Private Member Functions
| FB2ContentMap (const FB2ContentMap &other)
FB2ContentMap & | operator= (const FB2ContentMap &other)

## Constructor & Destructor Documentation

## § FB2ContentMap() [1/2]

libebook::FB2ContentMap::FB2ContentMap | ( | const FB2ContentMap & | other | ) |
| private

## § FB2ContentMap() [2/2]

libebook::FB2ContentMap::FB2ContentMap | ( |  | ) |

## § ~FB2ContentMap()

libebook::FB2ContentMap::~FB2ContentMap | ( |  | ) |

## Member Function Documentation

## § exists()

bool libebook::FB2ContentMap::exists | ( | const std::string & | id | ) | const

## § get()

const FB2Content * libebook::FB2ContentMap::get | ( | const std::string & | id | ) | const

Referenced by libebook::FB2ContentCollector::insertBitmap(), and libebook::FB2ContentCollector::insertFootnote().

## § insert()

bool libebook::FB2ContentMap::insert | ( | const std::string & | id,
|  | const FB2Content * | content
| ) |  |

Referenced by libebook::FB2ExtrasCollector::flushCurrentNote(), and libebook::FB2ExtrasCollector::insertBitmapData().

## § operator=()

FB2ContentMap& libebook::FB2ContentMap::operator= | ( | const FB2ContentMap & | other | ) |
| private

## Member Data Documentation

## § m_impl

ContentMapImpl* const libebook::FB2ContentMap::m_impl

Referenced by get(), insert(), and ~FB2ContentMap().

The documentation for this class was generated from the following files:

- FB2ContentMap.h
- FB2ContentMap.cpp